
Foreman - Feature #13748

Add initial javascript testing

02/17/2016 04:11 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Tests   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3829

  

Description

Since our code base contains a good amount of javascript (4633 LOC in 76 files), we need some testing framework to ensure we do

not get regressions on this code. Integration tests are slow to write and to execute, and hopefully unit testing our javascript code will

make it more readable too.

Jasmine is a good testing framework with a great plugin ecosystem and widely used in other projects for this same use case (Rails +

js).

Related issues:

Related to Foreman - Refactor #16601: Cover spinner fields with tests New 09/19/2016

Associated revisions

Revision a467444a - 09/14/2016 05:14 AM - Daniel Lobato Garcia

Fixes #13748 - Add testing tools for code under webpack

This commit adds jest as a tool to be used to test some of the code

under webpack, supporting ES2015 via babel-polyfill.

The purpose of this is just to give the tools for other developers

to test their javascript code.

By default, jest is automocking everything except for jQuery with this

change

History

#1 - 02/17/2016 04:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3195 added

#2 - 07/01/2016 11:01 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Daniel Lobato Garcia)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3195)

PR was closed, resetting ticket.

#3 - 09/09/2016 04:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3829 added

#4 - 09/14/2016 06:02 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a467444a7c1bf2123a5d259869331c6a9a74bec5.

#5 - 09/14/2016 08:40 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#6 - 09/19/2016 10:29 AM - Marek Hulán

- Related to Refactor #16601: Cover spinner fields with tests added

#7 - 09/20/2016 09:59 AM - Daniel Lobato Garcia

- Target version set to 1.5.2

Powered by TCPDF (www.tcpdf.org)

05/21/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a467444a7c1bf2123a5d259869331c6a9a74bec5
http://www.tcpdf.org

